Bug 1565057 - [abrt] policycoreutils-python-utils: get_installed_policy(): __init__.py:130:get_installed_policy:ValueError: Aucune stratégie SELinux installée [NEEDINFO]
Summary: [abrt] policycoreutils-python-utils: get_installed_policy(): __init__.py:130:...
Keywords:
Status: CLOSED DUPLICATE of bug 1610114
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7e32a367eb490e54d4e87e07d91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 09:28 UTC by Antoine Dumondel
Modified: 2020-08-29 06:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 12:29:20 UTC
Type: ---
vmojzis: needinfo?


Attachments (Terms of Use)
File: backtrace (818 bytes, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: cpuinfo (1.78 KB, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: environ (2.15 KB, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: mountinfo (3.71 KB, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details
File: open_fds (246 bytes, text/plain)
2018-04-09 09:29 UTC, Antoine Dumondel
no flags Details

Description Antoine Dumondel 2018-04-09 09:28:54 UTC
Version-Release number of selected component:
policycoreutils-python-utils-2.7-6.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 -Es /sbin/semanage fcontext -d -t rpm_exec_t /usr/share/dnfdaemon/dnfdaemon-system
crash_function: get_installed_policy
exception_type: ValueError
executable:     /sbin/semanage
kernel:         4.15.14-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
__init__.py:130:get_installed_policy:ValueError: Aucune stratégie SELinux installée

Traceback (most recent call last):
  File "/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 34, in <module>
    import sepolicy
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 165, in <module>
    raise e
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 161, in <module>
    policy_file = get_installed_policy()
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 130, in get_installed_policy
    raise ValueError(_("No SELinux Policy installed"))
ValueError: Aucune stratégie SELinux installée

Local variables in innermost frame:
policies: []
path: '//etc/selinux/targeted/policy/policy'
root: '/'

Comment 1 Antoine Dumondel 2018-04-09 09:29:02 UTC
Created attachment 1419164 [details]
File: backtrace

Comment 2 Antoine Dumondel 2018-04-09 09:29:04 UTC
Created attachment 1419165 [details]
File: cgroup

Comment 3 Antoine Dumondel 2018-04-09 09:29:05 UTC
Created attachment 1419166 [details]
File: cpuinfo

Comment 4 Antoine Dumondel 2018-04-09 09:29:07 UTC
Created attachment 1419167 [details]
File: environ

Comment 5 Antoine Dumondel 2018-04-09 09:29:10 UTC
Created attachment 1419168 [details]
File: mountinfo

Comment 6 Antoine Dumondel 2018-04-09 09:29:12 UTC
Created attachment 1419169 [details]
File: namespaces

Comment 7 Antoine Dumondel 2018-04-09 09:29:13 UTC
Created attachment 1419170 [details]
File: open_fds

Comment 8 Vit Mojzis 2018-11-21 16:19:25 UTC
Thank you for reporting the issue. 
Could you please share the output of the following commands on your machine?

# sestatus

# dnf list "selinux-policy*"

Also, it would help if you could specify what you where doing when the traceback appeared (maybe updating some package?).

Comment 9 Ben Cotton 2018-11-27 13:31:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Vit Mojzis 2018-11-29 12:29:20 UTC

*** This bug has been marked as a duplicate of bug 1610114 ***


Note You need to log in before you can comment on or make changes to this bug.